import {
  H as t,
  I as s,
  v as e,
  F as i,
  K as l,
  aw as a,
  ai as n,
  Q as r,
} from "./index-476be0bb.js";
const [o, c] = t("cell-group");
const d = r(
  s({
    name: o,
    inheritAttrs: !1,
    props: { title: String, inset: Boolean, border: l },
    setup(t, { slots: s, attrs: l }) {
      const r = () => {
        var i;
        return e(
          "div",
          a(
            { class: [c({ inset: t.inset }), { [n]: t.border && !t.inset }] },
            l
          ),
          [null == (i = s.default) ? void 0 : i.call(s)]
        );
      };
      return () =>
        t.title || s.title
          ? e(i, null, [
              e("div", { class: c("title", { inset: t.inset }) }, [
                s.title ? s.title() : t.title,
              ]),
              r(),
            ])
          : r();
    },
  })
);
export { d as C };
